import PropTypes from 'prop-types';
import styles from './styles.module.css';

const Button = ({ loading, size, disabled, children, ...props }) => {

    return (
        <button className={styles.button} {...props}>{children}</button>
    )
}

export default Button;


Button.PropTypes = {
    children: PropTypes.node.isRequired,
    disabled: PropTypes.bool,
    onClick: PropTypes.func,
    size: PropTypes.string,
    loading: PropTypes.bool
}