import styles from './styles.module.css';
import PropTypes from 'prop-types';

const Legend = ({ children, type="selected" }) => {

  return (
    <div className={styles['legend-wrapper']}>
      <div className={styles[type]}></div>
      <div className={styles.title}>{children}</div>
    </div>
  )
}
Legend.PropTypes = {
  children: PropTypes.node.isRequired,
  type: PropTypes.oneOf(["selected", "reserved", "available"])
}
export default Legend;

