import PropTypes from 'prop-types';

const BookingWrapper = () => {
    const aisleIndex = 4;
    const seatData = Array.from({ length: 10 }, (_, index) => ({
        id: index + 1,
        status: 'available'
    }));

    const isLeftBlock = (col) => col < aisleIndex;
    const isRightBlock = (col) => col > aisleIndex;

    return (
        <div>
            <div className='theatre'>
                {Array.from({ length: 5 }, (_, row_index) => (
                    <div className='seat-row'>
                        {seatData.map((_, column_index) => {
                            const isFirstRow = row_index === 0;
                            const isLastRow = row_index === seatData.row - 1;

                            if (isLeftBlock(column_index) && column_index === 0 && (isFirstRow || isLastRow)) {
                                return <div key={`gap-left-${row_index}-${column_index}`} className="seat-gap" />;
                            }

                            if (
                                isRightBlock(column_index) &&
                                column_index === seatData.id - 1 &&
                                (isFirstRow || isLastRow)
                            ) {
                                return <div key={`gap-right-${row_index}-${row_index}`} className="seat-gap" />;
                            }
                            if (column_index == aisleIndex) {
                                return (
                                    <div className='aisle'></div>
                                )
                            }
                            return (
                                <div className='column'></div>
                            )
                        })}
                    </div>
                ))}
            </div>
        </div>

    )
}

export default BookingWrapper;

