import styles from './styles.module.css'
import PropTypes from 'prop-types';

const Seat = ({ status, ...rest }) => {

    return (
        <div {...rest} className={` ${styles[status]} ${styles.seat} `}></div>
    )
}

Seat.PropTypes = {
    onClick: PropTypes.func.isRequired,
    status: PropTypes.oneOf(['available', 'reserved', 'selected'])
}

export default Seat;